//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Netshopping {
/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 1290<br />
/// <b>Native ID:</b> 0x7D2708796355B20B<br />
/// </para>
/// </remarks>
public static bool NetGameserverUseServerTransactions(){
return Function.Call<bool>((Hash)0x7D2708796355B20BuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBD4D7EAF8A30F637<br />
/// </para>
/// </remarks>
public static bool NetGameserverCatalogItemIsValid(string name){
return Function.Call<bool>((Hash)0xBD4D7EAF8A30F637uL, name);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x247F0F73A182EA0B<br />
/// </para>
/// </remarks>
public static bool NetGameserverCatalogItemKeyIsValid(uint hash){
return Function.Call<bool>((Hash)0x247F0F73A182EA0BuL, hash);
}

/// <summary>
/// bool is always true in game scripts
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC27009422FCCA88D<br />
/// </para>
/// </remarks>
public static int NetGameserverGetPrice(uint itemHash, uint categoryHash, bool p2){
return Function.Call<int>((Hash)0xC27009422FCCA88DuL, itemHash, categoryHash, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3C4487461E9B0DCB<br />
/// </para>
/// </remarks>
public static bool NetGameserverCatalogIsValid(){
return Function.Call<bool>((Hash)0x3C4487461E9B0DCBuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2B949A1E6AEC8F6A<br />
/// </para>
/// </remarks>
public static bool NetGameserverIsCatalogCurrent(){
return Function.Call<bool>((Hash)0x2B949A1E6AEC8F6AuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x85F6C9ABA1DE2BCF<br />
/// </para>
/// </remarks>
public static uint NetGameserverGetCatalogCloudCrc(){
return Function.Call<uint>((Hash)0x85F6C9ABA1DE2BCFuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x357B152EF96C30B6<br />
/// </para>
/// </remarks>
public static bool NetGameserverRefreshServerCatalog(){
return Function.Call<bool>((Hash)0x357B152EF96C30B6uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCF38DAFBB49EDE5E<br />
/// </para>
/// </remarks>
public static bool NetGameserverRetrieveCatalogRefreshStatus(ref int state){
var nativeAssistPointerVar0 = state;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0xCF38DAFBB49EDE5EuL, &nativeAssistPointerVar0);
}
state = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE3E5A7C64CA2C6ED<br />
/// </para>
/// </remarks>
public static bool NetGameserverInitSession(){
return Function.Call<bool>((Hash)0xE3E5A7C64CA2C6EDuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0395CB47B022E62C<br />
/// </para>
/// </remarks>
public static bool NetGameserverRetrieveInitSessionStatus(ref int p0){
var nativeAssistPointerVar0 = p0;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x0395CB47B022E62CuL, &nativeAssistPointerVar0);
}
p0 = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA135AC892A58FC07<br />
/// </para>
/// </remarks>
public static bool NetGameserverStartSession(int charSlot){
return Function.Call<bool>((Hash)0xA135AC892A58FC07uL, charSlot);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x72EB7BA9B69BF6AB<br />
/// </para>
/// </remarks>
public static bool NetGameserverStartSessionPending(){
return Function.Call<bool>((Hash)0x72EB7BA9B69BF6ABuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x170910093218C8B9<br />
/// </para>
/// </remarks>
public static bool NetGameserverRetrieveStartSessionStatus(ref int p0){
var nativeAssistPointerVar0 = p0;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x170910093218C8B9uL, &nativeAssistPointerVar0);
}
p0 = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC13C38E47EA5DF31<br />
/// </para>
/// </remarks>
public static bool NetGameserverRetrieveSessionErrorCode(ref int p0){
var nativeAssistPointerVar0 = p0;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0xC13C38E47EA5DF31uL, &nativeAssistPointerVar0);
}
p0 = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB24F0944DA203D9E<br />
/// </para>
/// </remarks>
public static bool NetGameserverIsSessionValid(int charSlot){
return Function.Call<bool>((Hash)0xB24F0944DA203D9EuL, charSlot);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x74A0FD0688F1EE45<br />
/// </para>
/// </remarks>
public static bool NetGameserverClearSession(int p0){
return Function.Call<bool>((Hash)0x74A0FD0688F1EE45uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2F41D51BA3BCD1F1<br />
/// </para>
/// </remarks>
public static bool NetGameserverSessionApplyReceivedData(int charSlot){
return Function.Call<bool>((Hash)0x2F41D51BA3BCD1F1uL, charSlot);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x810E8431C0614BF9<br />
/// </para>
/// </remarks>
public static bool NetGameserverIsSessionRefreshPending(){
return Function.Call<bool>((Hash)0x810E8431C0614BF9uL);
}

/// <summary>
/// Note: only one of the arguments can be set to true at a time
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x35A1B3E1D1315CFA<br />
/// </para>
/// </remarks>
public static bool NetGameserverStartSessionRestart(bool inventory, bool playerbalance){
return Function.Call<bool>((Hash)0x35A1B3E1D1315CFAuL, inventory, playerbalance);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 372<br />
/// <b>Native ID:</b> 0x613F125BA3BD2EB9<br />
/// </para>
/// </remarks>
public static bool NetGameserverTransactionInProgress(){
return Function.Call<bool>((Hash)0x613F125BA3BD2EB9uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x897433D292B44130<br />
/// </para>
/// </remarks>
public static bool NetGameserverGetSessionStateAndStatus(ref int p0, ref bool p1){
var nativeAssistPointerVar0 = p0;
var nativeAssistPointerVar1 = p1;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x897433D292B44130uL, &nativeAssistPointerVar0, &nativeAssistPointerVar1);
}
p0 = nativeAssistPointerVar0;
p1 = nativeAssistPointerVar1;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x279F08B1A4B29B7E<br />
/// </para>
/// </remarks>
public static bool NetGameserverBasketStart(ref int transactionId, uint categoryHash, uint actionHash, int flags){
var nativeAssistPointerVar0 = transactionId;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x279F08B1A4B29B7EuL, &nativeAssistPointerVar0, categoryHash, actionHash, flags);
}
transactionId = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 372<br />
/// <b>Native ID:</b> 0xFA336E7F40C0A0D0<br />
/// </para>
/// </remarks>
public static bool NetGameserverBasketEnd(){
return Function.Call<bool>((Hash)0xFA336E7F40C0A0D0uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA65568121DF2EA26<br />
/// </para>
/// </remarks>
public static bool NetGameserverBasketIsActive(){
return Function.Call<bool>((Hash)0xA65568121DF2EA26uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF30980718C8ED876<br />
/// </para>
/// </remarks>
public static bool NetGameserverBasketAddItem(int /* bug: structure */ itemData, int quantity){
return Function.Call<bool>((Hash)0xF30980718C8ED876uL, itemData, quantity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x27F76CC6C55AD30E<br />
/// </para>
/// </remarks>
public static bool NetGameserverBasketIsFull(){
return Function.Call<bool>((Hash)0x27F76CC6C55AD30EuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE1A0450ED46A7812<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool NetGameserverBasketApplyServerData(int /* bug: Any */ p0, int /* bug: structure */ p1){
return Function.Call<bool>((Hash)0xE1A0450ED46A7812uL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x39BE7CEA8D9CC8E6<br />
/// </para>
/// </remarks>
public static bool NetGameserverCheckoutStart(int transactionId){
return Function.Call<bool>((Hash)0x39BE7CEA8D9CC8E6uL, transactionId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3C5FD37B5499582E<br />
/// </para>
/// </remarks>
public static bool NetGameserverBeginService(ref int transactionId, uint categoryHash, uint itemHash, uint actionTypeHash, int value, int flags){
var nativeAssistPointerVar0 = transactionId;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x3C5FD37B5499582EuL, &nativeAssistPointerVar0, categoryHash, itemHash, actionTypeHash, value, flags);
}
transactionId = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE2A99A9B524BEFFF<br />
/// </para>
/// </remarks>
public static bool NetGameserverEndService(int transactionId){
return Function.Call<bool>((Hash)0xE2A99A9B524BEFFFuL, transactionId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x51F1A8E48C3D2F6D<br />
/// </para>
/// </remarks>
public static bool NetGameserverDeleteCharacter(int slot, bool transfer, uint reason){
return Function.Call<bool>((Hash)0x51F1A8E48C3D2F6DuL, slot, transfer, reason);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0A6D923DFFC9BD89<br />
/// </para>
/// </remarks>
public static int NetGameserverDeleteCharacterGetStatus(){
return Function.Call<int>((Hash)0x0A6D923DFFC9BD89uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x112CEF1615A1139F<br />
/// </para>
/// </remarks>
public static bool NetGameserverDeleteSetTelemetryNonceSeed(){
return Function.Call<bool>((Hash)0x112CEF1615A1139FuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD47A2C1BA117471D<br />
/// </para>
/// </remarks>
public static bool NetGameserverTransferBankToWallet(int charSlot, int amount){
return Function.Call<bool>((Hash)0xD47A2C1BA117471DuL, charSlot, amount);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC2F7FE5309181C7D<br />
/// </para>
/// </remarks>
public static bool NetGameserverTransferWalletToBank(int charSlot, int amount){
return Function.Call<bool>((Hash)0xC2F7FE5309181C7DuL, charSlot, amount);
}

/// <summary>
/// Same as 0x350AA5EBC03D3BD2
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x23789E777D14CE44<br />
/// </para>
/// </remarks>
public static int NetGameserverTransferBankToWalletGetStatus(){
return Function.Call<int>((Hash)0x23789E777D14CE44uL);
}

/// <summary>
/// Same as 0x23789E777D14CE44
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x350AA5EBC03D3BD2<br />
/// </para>
/// </remarks>
public static int NetGameserverTransferWalletToBankGetStatus(){
return Function.Call<int>((Hash)0x350AA5EBC03D3BD2uL);
}

/// <summary>
/// Used to be NETWORK_SHOP_CASH_TRANSFER_SET_TELEMETRY_NONCE_SEED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x498C1E05CE5F7877<br />
/// </para>
/// </remarks>
public static bool NetGameserverTransferCashSetTelemetryNonceSeed(){
return Function.Call<bool>((Hash)0x498C1E05CE5F7877uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Netshopping<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9507D4271988E1AE<br />
/// </para>
/// </remarks>
public static bool NetGameserverSetTelemetryNonceSeed(int p0){
return Function.Call<bool>((Hash)0x9507D4271988E1AEuL, p0);
}

}}
